#!/usr/bin/python3
# -*- coding: utf-8 -*-

#/*
# * Copyright (C) 2020, KylinSoft Co., Ltd.
# *
# * This program is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 3 of the License, or
# * (at your option) any later version.
# *
# * This program is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with this program.  If not, see <https://www.gnu.org/licenses/>.
# */


import os
from xdg import BaseDirectory as xdg
from model.logmanager import LogManager

class Globals:
    debugSwitch = False
    logInfo = None
    logError = None
    androidTagId = "403"      #移动应用标签ID
    installPackagePath = "/usr/share/kylin-software-center/data"
    userCacheUkscDir = os.path.join(xdg.xdg_cache_home, "uksc")
    userCacheDirLog = os.path.join(userCacheUkscDir, "log")
    infoLog = os.path.join(userCacheDirLog, "kylin-software-center-plugin-preprocessing-info.log")
    errorLog = os.path.join(userCacheDirLog, "kylin-software-center-plugin-preprocessing-error.log")
    logInfo = LogManager(infoLog, level='info')
    logError = LogManager(errorLog, level='error')
    userConfFilePath = os.path.join(userCacheUkscDir,"kylin-software-center.conf")

